function AsciiModuleFirstPage()
{
  //建立資料
  var CreateAsciiSettingObject = function(number){AsciiModuleFirstPage.prototype._CreateAsciiSettingObject_(number);};
  var CreateModuleFunction   = function(number){AsciiModuleFirstPage.prototype._CreateModuleFunction_(number);};
  var BuildAsciiModuleAllObject   = function(that){AsciiModuleFirstPage.prototype._BuildAsciiModuleAllObject_(that);};
  var BuildAsciiModuleObject   = function(ModuleName, number){AsciiModuleFirstPage.prototype._BuildAsciiModuleObject_(ModuleName, number);};
  var InitializationSlaveId  = function(DeviceName){AsciiModuleFirstPage.prototype._InitializationSlaveId_(DeviceName);};
  //編碼
  var DeleteRepeatNumber     = function(number){AsciiModuleFirstPage.prototype._DeleteRepeatNumber_(number);};
  var UpdateNumber       = function(ObjectKey){AsciiModuleFirstPage.prototype._UpdateNumber_(ObjectKey);};
  //工具列
  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){AsciiModuleFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){AsciiModuleFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){AsciiModuleFirstPage.prototype._ShowNextPage_();};
  //表格
  var ShowTable          = function(ObjectKey, DisplayNumber){AsciiModuleFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};
  //對話框
  this.CopyDialogEnabled  = function(Event){AsciiModuleFirstPage.prototype._CopyDialogEnabled_(Event);};
  this.CopyDialogDisabled = function(){AsciiModuleFirstPage.prototype._CopyDialogDisabled_();};
  
  this.ClearDialogEnabled  = function(Event){AsciiModuleFirstPage.prototype._ClearDialogEnabled_(Event);};
  this.ClearDialogDisabled = function(){AsciiModuleFirstPage.prototype._ClearDialogDisabled_();};
  //介面
  this.RedisplayUi       = function(){AsciiModuleFirstPage.prototype._RedisplayUi_();};
  //取值
  var GetDeviceName   = function(){return AsciiModuleFirstPage.prototype._GetDeviceName_();};
  var GetAllDeviceName   = function(){return AsciiModuleFirstPage.prototype._GetAllDeviceName_();};
  var GetAllNumber = function(){return AsciiModuleFirstPage.prototype._GetAllNumber_();};
  var GetGlobal_AsciiModuleObjectKey = function(DeviceName){return AsciiModuleFirstPage.prototype._GetGlobal_AsciiModuleObjectKey_(DeviceName);};
  //複製
  var CopyGlobalVariable = function(DeviceName, number){AsciiModuleFirstPage.prototype._CopyGlobalVariable_(DeviceName, number);};
  var CopyTickedModule   = function(){AsciiModuleFirstPage.prototype._CopyTickedModule_();};
  this.CopyModule        = function(){AsciiModuleFirstPage.prototype._CopyModule_();};
  //移除
  var RemoveGlobalVariable = function(DeviceName, number){AsciiModuleFirstPage.prototype._RemoveGlobalVariable_(DeviceName, number);};
  var RemoveTickedModule   = function(){AsciiModuleFirstPage.prototype._RemoveTickedModule_();};
  this.DeleteModule        = function(){AsciiModuleFirstPage.prototype._DeleteModule_();};
  this.ClearAllModule = function(that){AsciiModuleFirstPage.prototype._ClearAllModule_(that);};
  //判斷
  this.IsTickedModule = function(){return AsciiModuleFirstPage.prototype._IsTickedModule_();};
  //載入
  var LoadComPortName = function(){AsciiModuleFirstPage.prototype._LoadComPortName_();};
  //初始化
  var AutomaticConfigurationComPortName = function(){AsciiModuleFirstPage.prototype._AutomaticConfigurationComPortName_();};
  var InitializationGlobalVariable = function(){AsciiModuleFirstPage.prototype._InitializationGlobalVariable_();};
  this.Initialization = function(){AsciiModuleFirstPage.prototype._Initialization_();};
  //檢查
  this.CheckModuleName = function(that){AsciiModuleFirstPage.prototype._CheckModuleName_(that);};
  //傳輸
  var TransmissionJson = function(ssocket, Command, JsonString, Callback){AsciiModuleFirstPage.prototype._TransmissionJson_(ssocket, Command, JsonString, Callback);};
  //儲存
  var SaveModuleSetting = function(Result){AsciiModuleFirstPage.prototype._SaveModuleSetting_(Result);};
  var SaveConvertSetting = function(Result){AsciiModuleFirstPage.prototype._SaveConvertSetting_(Result);};
  var SaveAdvancedSetting = function(Result){AsciiModuleFirstPage.prototype._SaveAdvancedSetting_(Result);};
  var SaveAsciiDataLayerAndServiceLayerVariables = function(Result){AsciiModuleFirstPage.prototype._SaveAsciiDataLayerAndServiceLayerVariables_(Result);};
  this.SaveDataLayerAndServiceLayerVariables = function(Result){AsciiModuleFirstPage.prototype._SaveDataLayerAndServiceLayerVariables_(Result);};
  //按鈕
  this.ModuleAddNewRow   = function(that){AsciiModuleFirstPage.prototype._ModuleAddNewRow_(that);};
  this.EditButton = function(that){AsciiModuleFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){AsciiModuleFirstPage.prototype._SaveButton_(that);};
  //下拉選單
  this.ChangeComPortDevice = function(that){AsciiModuleFirstPage.prototype._ChangeComPortDevice_(that);};
  //差集
  var ArrayComplement = function(FirstArray, SecondArray){return AsciiModuleFirstPage.prototype._ArrayComplement_(FirstArray, SecondArray);};
}










function AsciiModuleSecondPage()
{
  //表格
  var CreateTable         = function(DataModelId, that){AsciiModuleSecondPage.prototype._CreateTable_(DataModelId, that);};
  this.ProduceTable        = function(that){AsciiModuleSecondPage.prototype._ProduceTable_(that);};
  var GetSettingFormValue = function(){return AsciiModuleSecondPage.prototype._GetSettingFormValue_();};
  this.SelectDataModelCombobox = function(that){AsciiModuleSecondPage.prototype._SelectDataModelCombobox_(that);}; 
  this.InitialSettingFormValue = function(that){AsciiModuleSecondPage.prototype._InitialSettingFormValue_(that);};
  //總表
  var ConvertedIntoTotalTableUiData = function(Data){AsciiModuleSecondPage.prototype._ConvertedIntoTotalTableUiData_(Data);};
  var GetTotalTableNeedData = function(number){AsciiModuleSecondPage.prototype._GetTotalTableNeedData_(number);};
  var SetTotalTableInitialValue = function(number){AsciiModuleSecondPage.prototype._SetTotalTableInitialValue_(number);};  
  var GetTotalTableOldData = function(DataModelId){return AsciiModuleSecondPage.prototype._GetTotalTableOldData_(DataModelId);};
  var TotalTableAddNewRow = function(DataModelId, Data){AsciiModuleSecondPage.prototype._TotalTableAddNewRow_(DataModelId, Data);};
  var AddTotalTableData = function(StartAddress, DataNumber, DataType, Data){return AsciiModuleSecondPage.prototype._AddTotalTableData_(StartAddress, DataNumber, DataType, Data);};
  var SetTotalTableNewRowValue = function(DataModelId, Data){AsciiModuleSecondPage.prototype._SetTotalTableNewRowValue_(DataModelId, Data);};
  var GetItemTableValue = function(that){return AsciiModuleSecondPage.prototype._GetItemTableValue_(that);};
  var CompareDataModelTableNeedDeleteAddress = function(that){return AsciiModuleSecondPage.prototype._CompareDataModelTableNeedDeleteAddress_(that);};
  var CompareDataModelTableNeedAddAddress = function(that){return AsciiModuleSecondPage.prototype._CompareDataModelTableNeedAddAddress_(that);};
  var ItemTableCss = function(Mode, that){AsciiModuleSecondPage.prototype._ItemTableCss_(Mode, that);};
  //資料類型表
  var GetDataModelTableUiData = function(number){AsciiModuleSecondPage.prototype._GetDataModelTableUiData_(number);};
  var SetDataModelTableInitialValue = function(number){AsciiModuleSecondPage.prototype._SetDataModelTableInitialValue_(number);};
  var GetDataModelTableOldData      = function(DataModelId){return AsciiModuleSecondPage.prototype._GetDataModelTableOldData_(DataModelId);};
  var DataModelTableAddNewRow       = function(DataModelId, Data){AsciiModuleSecondPage.prototype._DataModelTableAddNewRow_(DataModelId, Data);};
  var AddDataModelTableData = function(Data, AddAddress, DataType){return AsciiModuleSecondPage.prototype._AddDataModelTableData_(Data, AddAddress, DataType);};
  var SetDataModelTableNewRowValue  = function(DataModelId, Data){AsciiModuleSecondPage.prototype._SetDataModelTableNewRowValue_(DataModelId, Data);};
  var DeleteDataModelTableData = function(Data, DeleteAddress){return AsciiModuleSecondPage.prototype._DeleteDataModelTableData_(Data, DeleteAddress);};
  var GenerateNeedAddAddress = function(StartAddress, DataNumber, DataType){return AsciiModuleSecondPage.prototype._GenerateNeedAddAddress_(StartAddress, DataNumber, DataType);};
  var GenerateNeedDeleteAddress = function(StartAddress, DataNumber, DataType){return AsciiModuleSecondPage.prototype._GenerateNeedDeleteAddress_(StartAddress, DataNumber, DataType);};
  //檢查
  var CheckTotalTable = function(){return AsciiModuleSecondPage.prototype._CheckTotalTable_();};
  var CheckDataModelTable = function(){return AsciiModuleSecondPage.prototype._CheckDataModelTable_();};
  var CheckZoomAddressCollision = function(that){return AsciiModuleSecondPage.prototype._CheckZoomAddressCollision_(that);};
  var CheckAddressCollision = function(DataModel, StartAddress, DataNumber, DataType){return AsciiModuleSecondPage.prototype._CheckAddressCollision_(DataModel, StartAddress, DataNumber, DataType);};
  this.CheckPollingTimeout = function(that){AsciiModuleSecondPage.prototype._CheckPollingTimeout_(that);};//最小20
  this.CheckStartAddress = function(that){AsciiModuleSecondPage.prototype._CheckStartAddress_(that);};//為0或正整數
  this.CheckDataNumber = function(that){AsciiModuleSecondPage.prototype._CheckDataNumber_(that);};//正整數  
  this.CheckVariableName = function(that){AsciiModuleSecondPage.prototype._CheckVariableName_(that);};
  this.CheckModuleName = function(that){AsciiModuleSecondPage.prototype._CheckModuleName_(that);};
  this.CheckSlaveId = function(that){AsciiModuleSecondPage.prototype._CheckSlaveId_(that);};
  //取值
  var GetTableVariableValue = function(that){return AsciiModuleSecondPage.prototype._GetTableVariableValue_(that);};
  var GetGridNumber = function(DataType){return AsciiModuleSecondPage.prototype._GetGridNumber_(DataType);};
  var GetGroupNumber = function(DataModelId, CurrentlyAddress){AsciiModuleSecondPage.prototype._GetGroupNumber_(DataModelId, CurrentlyAddress);};
  var GetDataModel = function(string){AsciiModuleSecondPage.prototype._GetDataModel_(string);};
  var GetExistAddress = function(that){AsciiModuleSecondPage.prototype._GetExistAddress_(that);};
  //判斷
  var IsNameFormat = function(AllName, Name){return AsciiModuleSecondPage.prototype._IsNameFormat_(Name);};
  var IsNameRepeat = function(AllName, Name){return AsciiModuleSecondPage.prototype._IsNameRepeat_(AllName, Name);};
  //交集 差集
  var ArrayInteraction = function(FirstArray, SecondArray){return AsciiModuleSecondPage.prototype._ArrayInteraction_(FirstArray, SecondArray);};
  var ArrayComplement = function(FirstArray, SecondArray){return AsciiModuleSecondPage.prototype._ArrayComplement_(FirstArray, SecondArray);};
  //介面
  var ClearForm = function(){AsciiModuleSecondPage.prototype._ClearForm_();};
  var ClearDataModelTable = function(){AsciiModuleSecondPage.prototype._ClearDataModelTable_();};
  var ClearTotalTable = function(){AsciiModuleSecondPage.prototype._ClearTotalTable_();};
  var ClearAllCss = function(that){AsciiModuleSecondPage.prototype._ClearAllCss_(that);};
  var ChangeCurrentlyTabCss = function(that){AsciiModuleSecondPage.prototype._ChangeCurrentlyTabCss_(that);};
  var HideAllTotalTable = function(){AsciiModuleSecondPage.prototype._HideAllTotalTable_();};
  var ShowAllTotalTable = function(){AsciiModuleSecondPage.prototype._ShowAllTotalTable_();};
  var HideAllDataModelForm = function(){AsciiModuleSecondPage.prototype._HideAllDataModelForm_();};
  var ShowAllDataModelForm = function(){AsciiModuleSecondPage.prototype._ShowAllDataModelForm_();};
  this.ChangeModbusTab = function(Mode, that){AsciiModuleSecondPage.prototype._ChangeModbusTab_(Mode, that);};
  //按鈕
  this.OkButton     = function(that){AsciiModuleSecondPage.prototype._OkButton_(that);};
  this.CancelButton = function(that){AsciiModuleSecondPage.prototype._CancelButton_(that);};
  this.EditButton   = function(that){AsciiModuleSecondPage.prototype._EditButton_(that);};
  this.DeleteButton = function(that){AsciiModuleSecondPage.prototype._DeleteButton_(that);};
  this.ConfirmButton = function(that){AsciiModuleSecondPage.prototype._ConfirmButton_(that);};
  this.NoConfirmButton = function(){AsciiModuleSecondPage.prototype._NoConfirmButton_();};
  //其他服務同步資料
  var CreateVariableEmptyObject = function(number){return AsciiModuleSecondPage.prototype._CreateVariableEmptyObject_(number);};
  var InitialAsciiToOpcuaEmptyObject = function(object, number){return AsciiModuleSecondPage.prototype._InitialAsciiToOpcuaEmptyObject_(object, number);};
  var RetainAsciiToOpcuaData = function(object, number){return AsciiModuleSecondPage.prototype._RetainAsciiToOpcuaData_(object, number);};
  
  var InitialAsciiToMqttVariableEmptyObject = function(object, number){return AsciiModuleSecondPage.prototype._InitialAsciiToMqttVariableEmptyObject_(object, number);};
  var RetainAsciiToMqttVariableData = function(object, number){return AsciiModuleSecondPage.prototype._RetainAsciiToMqttVariableData_(object, number);};
 
  var InitialAsciiToMqttJsonVariableEmptyObject = function(object, number){return AsciiModuleSecondPage.prototype._InitialAsciiToMqttJsonVariableEmptyObject_(object, number);};
  var RetainAsciiToMqttJsonVariableData = function(object, number){return AsciiModuleSecondPage.prototype._RetainAsciiToMqttJsonVariableData_(object, number);};

  var SynchronizeOtherServiceData = function(number){AsciiModuleSecondPage.prototype._SynchronizeOtherServiceData_(number);};
  //全域變數 或 物件
  var BuildAsciiSettingObject  = function(that){AsciiModuleSecondPage.prototype._BuildAsciiSettingObject_(that);};
  var BuildAsciiVariableObject = function(that){AsciiModuleSecondPage.prototype._BuildAsciiVariableObject_(that);};  
  var BuildNewSystemVariableName = function(){AsciiModuleSecondPage.prototype._BuildNewSystemVariableName_();};
  var SetFormInitialValue = function(number){AsciiModuleSecondPage.prototype._SetFormInitialValue_(number);};
  var SetInitialValue = function(number){AsciiModuleSecondPage.prototype._SetInitialValue_(number);};
  var SetNewAsciiVariableObjectValue = function(DataModelId, Data, number){AsciiModuleSecondPage.prototype._SetNewAsciiVariableObjectValue_(DataModelId, Data, number);};
}